%global modname webob

Name:           python-webob1.0
Summary:        WSGI request and response object
Version:        1.0.8
Release:        %mkrel 2
License:        MIT
Group:          Development/Python
URL:            http://pythonpaste.org/webob/
Source0:        http://pypi.python.org/packages/source/W/WebOb/WebOb-%{version}.zip
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-dtopt
BuildRequires:  python-tempita
BuildRequires:  python-wsgiproxy
BuildRequires:  python-webtest

%description
WebOb provides wrappers around the WSGI request environment, and an object to 
help create WSGI responses. The objects map much of the specified behavior of 
HTTP, including header parsing and accessors for other standard parts of the 
environment.

%files
%doc docs/*
%{python_sitelib}/WebOb-%{version}-*.egg

#--------------------------------------------------------------------

%prep
%setup -q -n WebOb-%{version}
# Disable performance_test, which requires repoze.profile
%{__rm} -f tests/performance_test.py

%build
%{__python} setup.py build bdist_egg

%install
%{__mkdir} -p %{buildroot}%{python_sitelib}
easy_install -m --prefix %{buildroot}%{_usr} dist/*.egg
%{__chmod} 0644 %{buildroot}%{python_sitelib}/WebOb-%{version}-*.egg/%{modname}/*.py

%check
%{__python} setup.py test



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0.8-2.mga3
+ Revision: 379679
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 neoclust <neoclust> 1.0.8-1.mga3
+ Revision: 313551
- imported package python-webob1.0

